# $Revision: 1.41 $, $Date: 2011/10/04 13:36:42 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# tests hang: require server ?
#
%include	/usr/lib/rpm/macros.perl
Summary:	Authen::TacacsPlus - Perl extension module for authentication using tacacs+ server
Summary(pl.UTF-8):	Authen::TacacsPlus - moduł Perla do uwierzytelniania przy pomocy serwera tacacs+
Name:		perl-Authen-TacacsPlus
Version:	0.20
Release:	6
License:	custom, distributable
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MI/MIKEM/Authen-TacacsPlus/Authen-TacacsPlus-%{version}.tar.gz
# Source0-md5:	696eaa9691e68f1bbe8f4d9a2c216433
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Authen::TacacsPlus Perl module allows you to authenticate using
tacacs+ server.

%description -l pl.UTF-8
Moduł Perla Authen::TacacsPlus pozwala na uwierzytelnianie przy pomocy
serwera tacacs+.

%prep
%setup -q -n Authen-TacacsPlus-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Authen/TacacsPlus.pm
%dir %{perl_vendorarch}/auto/Authen/TacacsPlus
%attr(755,root,root) %{perl_vendorarch}/auto/Authen/TacacsPlus/TacacsPlus.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Authen-TacacsPlus.spec,v $
Revision 1.41  2011/10/04 13:36:42  lisu
- rel 6

Revision 1.40  2010/11/12 23:38:14  pawelz
- release 5

Revision 1.39  2010/06/06 08:31:05  arekm
- release 2

Revision 1.38  2009/09/12 20:10:23  mguevara
- up to 0.20; changed source URL

Revision 1.37  2009/03/13 22:45:47  hawk
- release 10

Revision 1.36  2008/02/10 12:00:07  arekm
- rel 9

Revision 1.35  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.34  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.32  2004/05/07 01:24:54  ankry
- rel. 8

Revision 1.31  2004/05/06 18:09:16  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/26 13:35:37  ankry
- tests added (but hang: disabled)

Revision 1.29  2004/04/17 06:28:03  ankry
- better descriptions/summaries

Revision 1.28  2004/04/16 07:19:39  ankry
- license fixes and unification

Revision 1.27  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.26  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.25  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 17:42:26  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/25 00:36:47  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:26:43  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.18  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 01:44:56  kloczek
- release 6.

Revision 1.15  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:24:04  depesz
adapterized

Revision 1.13  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.11  2001/04/17 12:05:17  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:43  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2000/12/27 18:24:02  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.7  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
